Bug 1227133 - notmuch-0.21 is available
Summary: notmuch-0.21 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: notmuch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1119079 1161212
TreeView+ depends on / blocked
 
Reported: 2015-06-02 01:05 UTC by Upstream Release Monitoring
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version: notmuch-0.21-1.fc23 notmuch-0.21-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:52:33 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 0.20.1 (#1227133) (1.04 KB, text/x-diff)
2015-06-02 01:05 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 0.20.2 (#1227133) (1.10 KB, text/x-diff)
2015-06-30 13:16 UTC, Upstream Release Monitoring
no flags Details
Patch to specfile to build notmuch 0.20.2 (3.90 KB, patch)
2015-09-16 22:45 UTC, Jonathan Underwood
no flags Details | Diff
Patch to update to 0.20.2 (3.79 KB, patch)
2015-09-17 10:54 UTC, Jonathan Underwood
no flags Details | Diff
Patch to update to 0.20.2 (3.81 KB, patch)
2015-09-17 11:10 UTC, Jonathan Underwood
no flags Details | Diff
[patch] Update to 0.21 (#1227133) (1.04 KB, patch)
2015-11-26 00:27 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-06-02 01:05:14 UTC
Latest upstream release: 0.20.1
Current version/release in rawhide: 0.19-3.fc23
URL: http://notmuchmail.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-06-02 01:05:28 UTC
Created attachment 1033574 [details]
[patch] Update to 0.20.1 (#1227133)

Comment 2 Upstream Release Monitoring 2015-06-02 01:11:38 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9913328

Comment 3 Upstream Release Monitoring 2015-06-30 13:16:33 UTC
Latest upstream release: 0.20.2
Current version/release in rawhide: 0.19-4.fc23
URL: http://notmuchmail.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-06-30 13:16:51 UTC
Created attachment 1044682 [details]
[patch] Update to 0.20.2 (#1227133)

Comment 5 Upstream Release Monitoring 2015-06-30 13:22:01 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10253021

Comment 6 Jonathan Underwood 2015-09-16 22:45:37 UTC
Created attachment 1074215 [details]
Patch to specfile to build notmuch 0.20.2

This patch produces a building package for 0.20.2. Please can you push updated packages.

Todo: python3 subpackage, remove unnecessary sources (hashes).

I've also applied for co-maintainership of the package - please can you approve.

Thanks.

Comment 7 Jonathan Underwood 2015-09-17 10:54:06 UTC
Created attachment 1074397 [details]
Patch to update to 0.20.2

This patch is functionally the same as the previous one, just removes a typo, and an unneeded mkdir invocation.

Comment 8 Jonathan Underwood 2015-09-17 11:10:49 UTC
Created attachment 1074402 [details]
Patch to update to 0.20.2

Functionally the same as the previous version, just with a more informative changelog entry.

Comment 9 Ralph Bean 2015-09-17 13:41:04 UTC
The patch looks good to me!  I approved commit ACLs for you on the package just now, so you should be able to push.

Comment 10 Jonathan Underwood 2015-09-17 14:03:44 UTC
Thanks Ralph. I'll push builds to rawhide and F23. I'm inclined to also push an update for F22 - any objections?

Comment 11 Upstream Release Monitoring 2015-09-17 15:05:30 UTC
jgu's notmuch-0.20.2-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=685809

Comment 12 Ralph Bean 2015-09-17 15:08:45 UTC
(In reply to Jonathan Underwood from comment #10)
> Any objections?

None so long as we allow it enough time to sit in updates-testing.  :)   Thanks!

Comment 13 Upstream Release Monitoring 2015-11-26 00:27:10 UTC
Latest upstream release: 0.21
Current version/release in rawhide: 0.20.2-1.fc24
URL: http://notmuchmail.org/releases/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-11-26 00:27:27 UTC
Created attachment 1099033 [details]
[patch] Update to 0.21 (#1227133)

Comment 15 Upstream Release Monitoring 2015-11-26 00:34:41 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11981260

Comment 16 Upstream Release Monitoring 2015-11-27 16:49:23 UTC
jgu's notmuch-0.21-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=701959

Comment 17 Fedora Update System 2015-11-30 13:37:42 UTC
notmuch-0.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c099233e39

Comment 18 Fedora Update System 2015-11-30 13:37:44 UTC
notmuch-0.21-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-62c64089a6

Comment 19 Fedora Update System 2015-12-01 02:22:19 UTC
notmuch-0.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update notmuch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c099233e39

Comment 20 Fedora Update System 2015-12-02 16:52:34 UTC
notmuch-0.21-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update notmuch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-62c64089a6

Comment 21 Fedora Update System 2015-12-08 19:52:28 UTC
notmuch-0.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-12-12 01:54:38 UTC
notmuch-0.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.